<?php 

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Mail\Mailables\Address;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Mail\Mailables\Content;

class verifyOtp extends Mailable
{
    use Queueable, SerializesModels;

    public $data;
    protected $email;

    public function __construct($data)
    {
        $this->data = $data;
        $this->email = $data['email'];
        $this->subject = 'Email For Verify Otp';
        // dd($this->subject);
    }
    
    public function build()
    {
        return $this->from('no-reply@hubto.site', 'Griffin')
        // ->replyTo($this->email)
        ->subject($this->subject)
        ->view('email.verify-otp', ['data' => $this->data]);

    }

}
